FROM httpd:alpine3.19
RUN apk add --no-cache apache2
LABEL   MAINTAINER = "ALEXIS" \
        VERSION    = "1.8" \
        TP = "3"
COPY ./dayScheduler /usr/local/apache2/htdocs/
RUN sed -i 's/Work Day Scheduler/schnur/g' /usr/local/apache2/htdocs/index.html

ENV SCHOOL=IUT \
    LEVEL=1.8

HEALTHCHECK --interval=1m --timeout=1s \
  CMD curl -f http://localhost/ || exit 1

EXPOSE 8080